> ## Documentation Index
> Fetch the complete documentation index at: https://docs.member.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portal Bootstrap



## OpenAPI

````yaml /openapi/mio-openapi.json get /api/v1/portal/bootstrap
openapi: 3.1.0
info:
  description: >-
    Production API reference for Membership.io. Use the authored guides for
    workflows and the generated endpoint pages for exact parameters and schemas.
  title: Membership.io API
  version: 0.1.0
servers:
  - description: Production
    url: https://api.member.dev
security:
  - bearerAuth: []
paths:
  /api/v1/portal/bootstrap:
    get:
      tags:
        - domains
      summary: Get Portal Bootstrap
      operationId: domains.get_domains_get_portal_bootstrap
      responses:
        '200':
          content:
            application/vnd.api+json:
              schema:
                $ref: >-
                  #/components/schemas/JsonApiResponse_PortalBootstrapAttributes_
          description: Successful Response
      security:
        - HTTPBearer: []
components:
  schemas:
    JsonApiResponse_PortalBootstrapAttributes_:
      properties:
        data:
          $ref: '#/components/schemas/JsonApiResource_PortalBootstrapAttributes_'
        included:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Included
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - data
      title: JsonApiResponse[PortalBootstrapAttributes]
      type: object
    JsonApiResource_PortalBootstrapAttributes_:
      properties:
        attributes:
          $ref: '#/components/schemas/PortalBootstrapAttributes'
        id:
          title: Id
          type: string
        links:
          anyOf:
            - $ref: '#/components/schemas/JsonApiLinks'
            - type: 'null'
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        relationships:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Relationships
        type:
          title: Type
          type: string
      required:
        - id
        - type
        - attributes
      title: JsonApiResource[PortalBootstrapAttributes]
      type: object
    JsonApiLinks:
      properties:
        self:
          anyOf:
            - type: string
            - type: 'null'
          title: Self
      title: JsonApiLinks
      type: object
    PortalBootstrapAttributes:
      additionalProperties: false
      properties:
        branding:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Branding
        canonical_origin:
          title: Canonical Origin
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        discussions_default_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Discussions Default Description
        discussions_default_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Discussions Default Title
        has_custom_domain:
          title: Has Custom Domain
          type: boolean
        homepage:
          anyOf:
            - discriminator:
                mapping:
                  custom:
                    $ref: '#/components/schemas/HomepageCustom'
                  discussions_index:
                    $ref: '#/components/schemas/HomepageDiscussionsIndex'
                propertyName: kind
              oneOf:
                - $ref: '#/components/schemas/HomepageCustom'
                - $ref: '#/components/schemas/HomepageDiscussionsIndex'
            - type: 'null'
          title: Homepage
        is_free:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Free
        is_private:
          title: Is Private
          type: boolean
        legacy_hash:
          anyOf:
            - type: string
            - type: 'null'
          title: Legacy Hash
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
        navigation:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Navigation
        policies_enabled:
          default: false
          title: Policies Enabled
          type: boolean
        settings:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Settings
        slug:
          title: Slug
          type: string
        team_id:
          title: Team Id
          type: string
        title:
          title: Title
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - team_id
        - title
        - slug
        - legacy_hash
        - description
        - discussions_default_title
        - discussions_default_description
        - is_private
        - branding
        - navigation
        - settings
        - meta
        - created_at
        - updated_at
        - deleted_at
        - canonical_origin
        - has_custom_domain
      title: PortalBootstrapAttributes
      type: object
    HomepageCustom:
      additionalProperties: false
      properties:
        kind:
          const: custom
          default: custom
          title: Kind
          type: string
        page_id:
          title: Page Id
          type: string
      required:
        - page_id
      title: HomepageCustom
      type: object
    HomepageDiscussionsIndex:
      additionalProperties: false
      properties:
        kind:
          const: discussions_index
          default: discussions_index
          title: Kind
          type: string
      title: HomepageDiscussionsIndex
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT or mio_sk API key
      description: >-
        Send platform JWTs, contact JWTs, or team API keys as `Authorization:
        Bearer <token>`.
      scheme: bearer
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````